Name: camlp4
Version: 2.04
Release: rtcg_3.rh%{rh_release}
Summary: Objective Caml Preprocessor
Source0: ftp://ftp.inria.fr/INRIA/Projects/cristal/Daniel.de_Rauglaudre/Camlp4/camlp4-%{version}.tar.gz
Source1: ftp://ftp.inria.fr/INRIA/Projects/cristal/Daniel.de_Rauglaudre/Camlp4/camlp4-%{version}.html.tar.gz
Source2: ftp://ftp.inria.fr/INRIA/Projects/cristal/Daniel.de_Rauglaudre/Camlp4/camlp4-%{version}.ps.gz
Patch: camlp4-%{version}-opt.patch
Patch1: camlp4-%{version}-prof.patch
Patch2: camlp4-%{version}-rtcg.patch
Patch3: camlp4-%{version}-plexer.patch
Copyright: BSD
Group: Development/Languages
Vendor: INRIA Rocquencourt
URL: http://pauillac.inria.fr/caml/
BuildRoot: /tmp/caml-root
BuildPrereq: ocaml
%(LC_ALL="C" rpm -q --queryformat 'Requires:%%{NAME} = %%{VERSION}-%%{RELEASE}' ocaml| grep -v "is not")

%description
Camlp4 is a Pre-Processor-Pretty-Printer for Objective Caml. It offers tools
for syntax (grammars) and the ability to modify the concrete syntax
of the language (quotations, syntax extensions).

Camlp4 can parse normal Ocaml concrete syntax or any other user-definable
syntax. As an example, an alternative syntax is provided, named righteous,
because it tries to fix some small problems of the normal syntax.

Camlp4 can pretty print the normal Ocaml concrete syntax or the righteous one.
It is therefore always possible to have a version of your sources compilable
by the compiler Objective Caml without preprocessing.

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
%patch -p0
%patch1 -p0
# %patch2 -p1
%patch3 -p0
cp %{SOURCE2} refman.ps.gz

%build
(
echo OLIBDIR=/usr/lib/ocaml
echo BINDIR=/usr/bin
echo LIBDIR=/usr/lib/camlp4
echo MANDIR=/usr/man/man1
) > config/Makefile.cnf

rm -f config/Makefile
cat config/Makefile.tpl > config/Makefile
echo >> config/Makefile
cat config/Makefile.cnf >> config/Makefile
chmod -w config/Makefile
make world opt

%install
(
echo OLIBDIR=$RPM_BUILD_ROOT/usr/lib/ocaml
echo BINDIR=$RPM_BUILD_ROOT/usr/bin
echo LIBDIR=$RPM_BUILD_ROOT/usr/lib/camlp4
echo MANDIR=$RPM_BUILD_ROOT/usr/man/man1
) > config/Makefile.cnf

rm -f config/Makefile
cat config/Makefile.tpl > config/Makefile
echo >> config/Makefile
cat config/Makefile.cnf >> config/Makefile
chmod -w config/Makefile
rm -rf $RPM_BUILD_ROOT
make install
mv camlp4-%{version}.html htmlman

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/bin/camlp4
/usr/bin/camlp4o
/usr/bin/camlp4r
/usr/bin/mkcamlp4
/usr/bin/ocpp
/usr/bin/odyl
/usr/lib/camlp4
/usr/man/man1/camlp4.1.gz
%doc refman.ps.gz htmlman LICENSE CHANGES README

%changelog
* Sun Sep 10 2000 Alexey Nogin <ayn2@cornell.edu>
[campl4-2.04-3]
- Added Jason's plexer patch

* Mon Nov 22 1999 Alexey Nogin <ayn2@cornell.edu>
[camlp4-2.03-2]
- Fixed a problem with conflicting Config interfaces.

* Sun Nov 21 1999 Alexey Nogin <ayn2@cornell.edu>
[camlp4-2.03-1]
- Upgraded to camlp4-2.03
- Built with ocaml-2.03-1 RPM installed
- HTML manual is now installed under /usr/doc/camlp4-%{version}/htmlman
  instead of                         /usr/doc/camlp4-%{version}/camlp4.html

* Fri Mar  5 1999 Alexey Nogin <ayn2@cornell.edu>
[camlp4-2.02-1]
- Built with ocaml-2.02-1

* Tue Dec 29 1998 Alexey Nogin <ayn2@cornell.edu>
[camlp4-2.01-2]
- Added pcaml patch by Jason Hickey <jyh@cs.cornell.edu>
to allow user to catch pcaml exceptions
- Built with ocaml-2.01-2

* Fri Dec 11 1998 Alexey Nogin <ayn2@cornell.edu>
[camlp4-2.01-1]
- Built with ocaml-2.01-1

* Wed Nov 10 1998 Alexey Nogin <ayn2@cornell.edu>
- Changed SRPM according to RHCN Package Requirements
- Upgraded from camlp4 2.00.--.1 to camlp4 2.00
- Added LICENSE, CHANGES and README files to the doc directory

